Bug 212200 - security/p5-Dancer2-Plugin-Auth-Extensible: Update to 0610
Summary: security/p5-Dancer2-Plugin-Auth-Extensible: Update to 0610
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-27 16:25 UTC by Henk van Oers
Modified: 2016-08-30 15:58 UTC (History)
0 users

See Also:


Attachments
The diff (2.04 KB, patch)
2016-08-27 16:25 UTC, Henk van Oers
hvo.pm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henk van Oers 2016-08-27 16:25:42 UTC
Created attachment 174129 [details]
The diff

Changes:
 
0.610 Mon Aug 15 08:17:46 2016 CEST
 
    [ENHANCEMENTS]
 
    * Call Dancer2's change_session_id on successful login. This method has
      not yet been merged into Dancer2 core but we want to be ready for it
      (Peter Mottram).
 
    [BUG FIXES]
 
    * Incorrect call to user_password from app not plugin
      (Andrew Beverly, GH #53).
    * Avoid memory leaks in BUILD by passing weakened ref to plugin into
      add_route callbacks (Peter Mottram).
    * Call $app->session instead of $app->app->session in _post_login_route
      (Peter Mottram).
 
    [MISC]
 
    * Creation of temp lexical vars adds overhead so remove some where not
      needed (Peter Mottram).
 
0.601 Tue Jul 12 16:23:22 2016 CEST
 
    [BUG FIXES]
 
    * Don't localise $username in user_password when checking reset code.
      This caused user_password( code => '...') to always fail (Peter Mottram).
    * Use $plugin instead of $app to call password_reset_send method
      (Roman Studenikin, Peter Mottram, GH #50).
    * Rename generate-crypted-password (Henk van Oers, Peter Mottram, GH #30).
 
    [ENHANCEMENTS]
 
    * Use Carp::croak instead of die for better stack traces (Peter Mottram).
    * Added `use strict` for CPANTS Kwalitee score (Guillermo O. Freschi).
    * Added MIN_PERL_VERSION to Makefile.PL (Guillermo O. Freschi).
    * Simplify use of from_config and default in plugin attributes (Peter Mottram).
    * Use current plugin in route setup (Peter Mottram).
----

Tests:
- QA
- portlint -AC
- make test
- make check-plist
- portmaster .

All fine.
Comment 1 commit-hook freebsd_committer 2016-08-30 15:58:20 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Aug 30 15:57:17 UTC 2016
New revision: 421118
URL: https://svnweb.freebsd.org/changeset/ports/421118

Log:
  - Update to 0.610

  PR:		212200
  Submitted by:	hvo.pm@xs4all.nl (maintainer)

Changes:
  head/security/p5-Dancer2-Plugin-Auth-Extensible/Makefile
  head/security/p5-Dancer2-Plugin-Auth-Extensible/distinfo
  head/security/p5-Dancer2-Plugin-Auth-Extensible/pkg-plist